<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/*
 * Copyright 2011 (c) Mario Damianus
 * For SpitzerGlobal 
 * Mischa Project (CMS)
 * Authentication Controller
 */

final class Content extends MY_Controller 
{
	private $co_id;
	private $cc_id;
	private $file_id;
	private $offset;
	private $per_page;
	private $submit_code;
	private $view = array();
	
	// Constructor
	public function __construct()
	{
		parent::__construct();
	}
	
	// method index
	public function index()
	{
		$this->cc_id  = $this->input->get('cc_id');
		$this->offset = $this->input->get('offset');
		
		$this->per_page = 1000000;
		
		if(!empty($this->cc_id))
		{
			$this->view['cc_id'] = $this->cc_id;
		}
		else 
		{
			$this->cc_id = 1;
			$this->view['cc_id'] = 1;
		}
		
		$this->view['content']   = $this->model_content->read_content_by_cc_id($this->cc_id,$this->offset,$this->per_page);	
		
		if($this->model_content->read_content_by_cc_id_num_row($this->cc_id) % $this->per_page == 0)
		{
			$this->view['totalpage'] = $this->model_content->read_content_by_cc_id_num_row($this->cc_id) / $this->per_page;				
		}
		else
		{
			$this->view['totalpage'] = round(($this->model_content->read_content_by_cc_id_num_row($this->cc_id) / $this->per_page));
		}
				
		if(empty($this->offset))
		{
			$this->offset = 1;
		}
		
		$this->view['curr_page'] = $this->offset;
		$this->view['per_page']  = $this->per_page;
		$this->layout->view('content/index',$this->view);
	}
	
	// method index
	public function add()
	{
		// accept $_POST request only
		if($_POST)
		{
			$this->file_id     = $this->input->post('file_id');
			$this->submit_code = $this->input->post('form_code');
			
			if(!empty($this->submit_code))
			{
				$this->model_content->insert(
					$this->input->post('title'),
					$this->input->post('des'),
					$this->input->post('date'),
					$this->input->post('file_id'),
					$this->input->post('cc_id')
				);
				redirect('content');
			}
			$this->view['cc_id'] = $this->input->post('cc_id');
			$this->layout->view('content/add',$this->view);
		}			
	}
	
	// method edit
	public function edit()
	{
		$this->co_id = $this->input->get('co_id');
		
		// accept $_POST request only
		if($_POST)
		{
			
			$this->co_id   = $this->input->post('co_id');
			$this->file_id = $this->input->post('file_id');
						
			$this->model_content->update(
				$this->co_id,
				$this->input->post('title'),
				$this->input->post('des'),
				$this->input->post('date'),
				$this->input->post('file_id')
			);
			
			redirect('content');
			
		}		
		
		$this->view['content'] = $this->model_content->read_content_by_co_id($this->co_id);	
		$this->layout->view('content/edit',$this->view);	
	}
	
	// method delete
	public function delete()
	{
		$this->co_id = $this->input->get('co_id');
		$this->model_content->delete($this->co_id);
		redirect('content');
	}
}

/* End of file content.php */
/* Location: ./application/controllers/content.php */