<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/*
 * Copyright 2011 (c) Mario Damianus
 * For SpitzerGlobal 
 * Mischa Project (CMS)
 * Authentication Controller
 */

final class Gallery extends MY_Controller 
{
	private $gl_id;
	private $gc_id;
	private $file_id;
	private $offset;
	private $per_page;
	private $submit_code;
	private $view = array();
	
	// Constructor
	public function __construct()
	{
		parent::__construct();
	}
	
	public function category()
	{
		$this->layout->view('gallery/categoryindex');
	}
	
	public function categoryadd()
	{
		if($_POST) {
			$this->db->insert('gallery_category',
				array(
					'gc_name' => $this->input->post('title'),
					'gc_desc' => $this->input->post('des')
				)
			);
			redirect('gallery/category');
		} else {
			$this->layout->view('gallery/categoryadd');
		}
		
	}
	
	public function categorydelete($id)
	{
		$this->db->where('gc_id',$id)->delete('gallery');	
		$this->db->where('gc_id',$id)->delete('gallery_category');			
		redirect('gallery/category');
	}
	
	public function categoryedit($id)
	{
		if($_POST) {	
			$this->db->where('gc_id',$id)->update('gallery_category',
				array(
					'gc_name' => $this->input->post('title'),
					'gc_desc' => $this->input->post('des')
				)
			);
			redirect('gallery/category');
		} else {
			$view['data'] = $this->db->get_where('gallery_category',array('gc_id' => $id))->row();
			$this->layout->view('gallery/categoryedit',$view);
		}
		
	}
	
	// method index
	public function index()
	{
		$this->gc_id  = $this->input->get('gc_id');
		$this->offset = $this->input->get('offset');
		
		$this->per_page = 2;
		
		if(!empty($this->gc_id))
		{
			$this->view['gc_id'] = $this->gc_id;
		}
		else 
		{
			
			$this->gc_id = $this->db->get('gallery_category')->row()->gc_id;
			$this->view['gc_id'] = $this->gc_id;
		}
		
		$this->view['gallery']   = $this->model_gallery->read_gallery_by_gc_id($this->gc_id,$this->offset,$this->per_page);	
		
		if($this->model_gallery->read_gallery_by_gc_id_num_row($this->gc_id) % $this->per_page == 0)
		{
			$this->view['totalpage'] = $this->model_gallery->read_gallery_by_gc_id_num_row($this->gc_id) / $this->per_page;				
		}
		else
		{
			$this->view['totalpage'] = round(($this->model_gallery->read_gallery_by_gc_id_num_row($this->gc_id) / $this->per_page));
		}
				
		if(empty($this->offset))
		{
			$this->offset = 1;
		}
		
		$this->view['curr_page'] = $this->offset;
		$this->view['per_page']  = $this->per_page;
		$this->layout->view('gallery/index',$this->view);
	}
	
	// method index
	public function add()
	{
		// accept $_POST request only
		if($_POST)
		{
			$this->file_id     = $this->input->post('file_id');
			$this->submit_code = $this->input->post('form_code');
			
			if(!empty($this->submit_code))
			{
				$this->model_gallery->insert(
					$this->input->post('title'),
					$this->input->post('des'),
					$this->input->post('date'),
					$this->input->post('file_id'),
					$this->input->post('gc_id')
				);
				redirect('gallery?gc_id='.$this->input->post('gc_id'));
			}
			$this->view['gc_id'] = $this->input->post('gc_id');
			$this->layout->view('gallery/add',$this->view);
		}			
	}
	
	// method edit
	public function edit()
	{
		$this->gl_id = $this->input->get('gl_id');
		
		// accept $_POST request only
		if($_POST)
		{
			
			$this->gl_id   = $this->input->post('gl_id');
			$this->file_id = $this->input->post('file_id');
						
			$this->model_gallery->update(
				$this->gl_id,
				$this->input->post('title'),
				$this->input->post('des'),
				$this->input->post('date'),
				$this->input->post('file_id')
			);
			
			redirect('gallery?gc_id='.$this->input->post('gc_id'));
			
		}		
		
		$this->view['gallery'] = $this->model_gallery->read_gallery_by_gl_id($this->gl_id);	
		$this->layout->view('gallery/edit',$this->view);	
	}
	
	// method delete
	public function delete()
	{
		$this->gl_id = $this->input->get('gl_id');
		$this->model_gallery->delete($this->gl_id);
		redirect('gallery?gc_id='.$this->input->get('gc_id'));
	}
}

/* End of file gallery.php */
/* Location: ./application/controllers/gallery.php */